Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157205 - tomcat5 webapp precompilation fails during build
Summary: tomcat5 webapp precompilation fails during build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat5
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 12:40 UTC by Gary Benson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-06 09:12:04 UTC


Attachments (Terms of Use)
The exception report from ant -verbose (deleted)
2005-10-14 16:17 UTC, Gary Benson
no flags Details

Description Gary Benson 2005-05-09 12:40:02 UTC
Description of problem:
tomcat5's webapp precompilation fails during build.  It is currently omitted,
and notably causes the failure of the admin webapp.

Version-Release number of selected component (if applicable):
tomcat5-5.0.30-5jpp_5fc

Comment 1 Gary Benson 2005-10-14 15:48:22 UTC
Verified with libgcj-4.0.2-3.

Comment 2 Gary Benson 2005-10-14 16:17:40 UTC
Created attachment 119987 [details]
The exception report from ant -verbose

Comment 3 Gary Benson 2005-10-14 16:28:14 UTC
From my original workaround:
> RequestUtils.applicationClass() uses the context classloader to find
> the class, but for some reason it sometimes seems to be set to what
> looks like the normal system classloader.  Possibly its something to
> do with the fact that MessageResourcesFactory.createFactory() is
> called from MessageResources.getMessageResources() which is usually
> called from <clinit> methods.  Or, it could be because RequestUtils
> itself calls getMessageResources(), so createFactory() reenters
> itself.

Comment 4 Red Hat Bugzilla 2007-02-05 19:03:44 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.


Note You need to log in before you can comment on or make changes to this bug.